﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["data1"] == null)
        {
            Session["data1"] = getData(10);
        }

        this.wdgSource.DataSource = Session["data1"];


        if (Session["data2"] == null)
        {
            Session["data2"] = getData(0);
        }
        this.wdgTarget.DataSource = Session["data2"];
    }

    private DataTable getData(int count)
    {
        DataColumn[] PrimaryColumn = new DataColumn[1];
        DataTable dt = new DataTable();
        PrimaryColumn[0] = dt.Columns.Add("ID", typeof(int));
        dt.Columns.Add("Name", typeof(string));
        dt.Columns.Add("Age", typeof(int));
        dt.Columns.Add("HomeTown", typeof(string));
        dt.Columns.Add("IsChecked", typeof(bool));

        if (count > 0)
        {
            for (int i = 0; i < count; i++)
            {
                dt.Rows.Add(i, "Name" + i.ToString(), 25, "Pref", false);
            }
        }

        dt.PrimaryKey = PrimaryColumn;

        return dt;
    }

    protected void person_Drag(object sender, EventArgs e)
    {
        //int redord_id=0;

        var data1 = Session["data1"] as DataTable;
        var data2 = Session["data2"] as DataTable;

        string[] idsString = this.personId.Value.Split(',');
        if (!(idsString.Length == 1 && idsString[0] == ""))
        {
            foreach (var idString in idsString)
            {
                var id = int.Parse(idString);

                var copiedData = data1.Copy();
                data1.Rows.Find(id).Delete();
                data1.AcceptChanges();
                var row = copiedData.Rows.Find(id);
                object[] d = row.ItemArray;
                data2.Rows.Add(d);

            }
            Session["data1"] = data1;
            Session["data2"] = data2;
            this.wdgSource.DataSource = Session["data1"];
            this.wdgTarget.DataSource = Session["data2"];
        }
    }
}